# Get a site — CacheBoost API

> Retrieve a single site by ID.

Source: https://www.cache-boost.com/support/api-reference/sites/get.md
Language: en

---



Retrieve a single site by ID.

**`GET /v1/sites/{id}`** — Scope: `sites:read`

## Example request

```bash
curl https://api.cache-boost.com/v1/sites/42 \
  -H "Authorization: Bearer cb_live_YOUR_KEY"
```

## Response

`200 OK` — site object.

```json
{
  "id": 42,
  "domain": "www.example.com",
  "validated": true,
  "validation_token": "a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4",
  "created_at": "2025-01-15T10:30:00Z"
}
```

## Errors

| Code | Description |
|------|-------------|
| `401` | Missing or invalid API key |
| `403` | Insufficient scope or access denied |
| `404` | Site not found |



---

**CacheBoost** — Automatic cache warming for faster websites.

- Website: https://www.cache-boost.com
- Full content (all pages): https://www.cache-boost.com/llms-full.txt
- LLM index: https://www.cache-boost.com/llms.txt
- Documentation: https://www.cache-boost.com/support/getting-started/introduction
- Start free: https://www.cache-boost.com/try
